// Personクラスを定義
class Person {
  String firstName;
  String lastName;

  Person(this.firstName, this.lastName);
}

// Childクラスを定義（Personクラスを継承）
class Child extends Person {
  int age = 10; // Childクラスは変数ageを持つ

  Child(String firstName, String lastName) : super(firstName, lastName) {
    this.firstName = firstName;
    this.lastName = lastName;
  }
}

void main() {
  Child taro = Child("Taro", "Yamada");
  print(taro.firstName); // => Taro
  print(taro.age); // => 10

  Person ichiro = Person("Ichiro", "Yamada");
  print(ichiro.firstName);
  // print(ichiro.age); // Personはageを持たないため、ageを参照できない
}