import 'package:flutter/material.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
        useMaterial3: false,  // Material 3𖳌ɂ
      ),
      home: const HomePage(),
    );
  }
}

class HomePage extends StatelessWidget {
  const HomePage({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Flutter Sample App'),
      ),
      body: Row(
        children: const [
          Text('Hello', style: TextStyle(fontSize: 25.0)),
          Text('world', style: TextStyle(fontSize: 25.0)),
          Text('Flutter', style: TextStyle(fontSize: 25.0))
        ],
      ),
    );
  }
}