import 'package:custom_widget_app/sample_custom_widget.dart';
import 'package:flutter/material.dart';

void main() {
  runApp(const MainPage());
}

class MainPage extends StatelessWidget {

  const MainPage ({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
        title: "Sample App",
        theme: ThemeData(
            useMaterial3: false,  // Material 3𖳌ɂ
        ),
        home: Scaffold(
            appBar: AppBar(
                title: const Text('Sample Custom Widget App')
            ),
            body: const Center(
                child: Column(
                  children: [
                    UserNameWidget(name: 'Tanaka'),
                    UserNameWidget(name: 'Yamada', age: 22)
                  ],
                )
            )
        )
    );
  }
}